Package io.vertx.ext.auth.audit

## Interface SecurityAudit

-     public interface SecurityAudit

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SecurityAudit` | `NOOP` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `audit​(Marker marker, boolean success)` |
    `default <T> Handler<AsyncResult<T>>` | `auditHandlerFor​(Marker marker)` |
    `SecurityAudit` | `authorization​(Authorization authorization)` |
    `static SecurityAudit` | `create()` |
    `SecurityAudit` | `credentials​(Credentials credentials)` |
    `SecurityAudit` | `destination​(SocketAddress address)` |
    `SecurityAudit` | `resource​(HttpVersion version, HttpMethod method, String path)` |
    `SecurityAudit` | `resource​(String resource)` |
    `SecurityAudit` | `source​(SocketAddress address)` |
    `SecurityAudit` | `status​(int status)` |
    `SecurityAudit` | `user​(User user)` |

- - ### Field Detail

    - #### NOOP

          static final SecurityAudit NOOP

  - ### Method Detail

    - #### create

          static SecurityAudit create()

    - #### source

          SecurityAudit source​(SocketAddress address)

    - #### destination

          SecurityAudit destination​(SocketAddress address)

    - #### resource

          SecurityAudit resource​(HttpVersion version,
                                 HttpMethod method,
                                 String path)

    - #### resource

          SecurityAudit resource​(String resource)

    - #### credentials

          SecurityAudit credentials​(Credentials credentials)

    - #### user

          SecurityAudit user​(User user)

    - #### authorization

          SecurityAudit authorization​(Authorization authorization)

    - #### status

          SecurityAudit status​(int status)

    - #### audit

          void audit​(Marker marker,
                     boolean success)

    - #### auditHandlerFor

          default <T> Handler<AsyncResult<T>> auditHandlerFor​(Marker marker)